> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach an email set to a program



## OpenAPI

````yaml post /admin/program/emailset
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/program/emailset:
    post:
      tags:
        - Manage Program
      summary: Attach an email set to a program
      operationId: f8147d5c5286911be522830bc61b5178
      requestBody:
        description: Data needed to add an email set to a program
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  description: The ID of the program
                  type: integer
                emailset_id:
                  description: The ID of the email set
                  type: integer
                client_id:
                  description: The ID of the client
                  type: string
              type: object
      responses:
        '200':
          description: Successfully added email set to program
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Added Email Set To Program
                type: object
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````